php_imap.dll for php v 5.2.6 apache for windows

我有问题安装php_imap.dll扩展为在Windows Server 2003 R2上运行Apache和PHP 5.2.6的networking服务器。

我有其他的扩展安装,所以我知道的基础知识。 我已经确认,我的php.ini文件指向正确的扩展目录。 这是在我的php.iniconfiguration

extension=php_gd2.dll extension=php_mysql.dll extension=php_mysqli.dll extension=php_imap.dll 

我把php_imap.dll放在别人所在的apache的/ ext文件夹中。

然后在PHP错误日志中,我得到:

 12-Jan-2012 10:09:48] PHP Warning: PHP Startup: Unable to load dynamic library 'C:\Program Files\PHP\ext\php_imap.dll' - The specified procedure could not be found. 

我认为问题是我有php_imap.dll的错误版本。 我的版本是从我的Windows工作站运行PHP 5.3版本运行。 这工作。 但是,当我复制相同的.dll到服务器运行不同版本的PHP它不起作用。 有谁知道在哪里可以find正确版本的php_imap.dll?

http://us3.php.net/manual/en/install.pecl.windows.php

在上面的网站他们说我应该下载正确的版本,并列出了一些dll,但不是我需要的。

 PHP API 20041225 Thread Safety enabled Configure Command cscript /nologo configure.js "--enable-snapshot-build" "--with-gd=shared" "--with-extra-includes=C:\Program Files (x86)\Microsoft SDK\Include;C:\PROGRA~2\MICROS~2\VC98\ATL\INCLUDE;C:\PROGRA~2\MICROS~2\VC98\INCLUDE;C:\PROGRA~2\MICROS~2\VC98\MFC\INCLUDE" "--with-extra-libs=C:\Program Files (x86)\Microsoft SDK\Lib;C:\PROGRA~2\MICROS~2\VC98\LIB;C:\PROGRA~2\MICROS~2\VC98\MFC\LIB" 

Solutions Collecting From Web of "php_imap.dll for php v 5.2.6 apache for windows"

如果你只需要这个php_imap.dll for php5.2.6,你会发现它在Wampserver插件存档 。 有一个5.2.6的插件

它不会取代你的php / apache目前的安装,但是这个插件包含了很多非标准的PHP扩展

我的建议是提取它在你的工作站上,并只采取php_imap.dll并把它放在你的ext/文件夹在Windows server 2003 R2中。

希望这可以帮助 !